{ pkgs, ... }:
let
  cursorSize = 24;
  cursorTheme = "rose-pine-hyprcursor";
  cursorDir = "hyprcursors";
in
{
  home = {
    packages = with pkgs; [
      hyprcursor
    ];

    file = {
      ".local/share/icons/${cursorTheme}/manifest.hl".text = ''
        name = ${cursorTheme}
        description = BreezeX remixed with Rose Pine remixed to Hyprcursor format
        version = 0.3.2
        cursors_directory = ${cursorDir}
      '';
      ".local/share/icons/${cursorTheme}/${cursorDir}" = {
        source = ./${cursorDir};
        recursive = true;
      };
    };

    sessionVariables = {
      XCURSOR_SIZE = cursorSize;
      HYPRCURSOR_SIZE = cursorSize;
      HYPRCURSOR_THEME = cursorSize;
    };
  };

  wayland.windowManager.hyprland.settings.exec-once = [
    "hyprctl setcursor $HYPRCURSOR_THEME $HYPRCURSOR_SIZE" # Set cursor
  ];
}
