{ lib, ... }:
let
  theme = import ../../../theme.nix;
in
{
  programs.hyprlock = {
    enable = true;
    settings = {
      "$font" = "${theme.nerdFont} Nerd Font";

      # GENERAL
      general = {
        disable_loading_bar = true;
        hide_cursor = true;
      };

      # LAYOUT
      label = [
        {
          text = "$LAYOUT";
          color = "${theme.textRgb}";
          font_size = 25;
          font_family = "$font";
          position = "30, -30";
          halign = "left";
          valign = "top";
        }
        # TIME
        {
          text = "$TIME";
          color = "${theme.textRgb}";
          font_size = 90;
          font_family = "$font";
          position = "-30, 0";
          halign = "right";
          valign = "top";
        }
        # DATE
        {
          text = "cmd[update:43200000] date +\"%A, %d %B %Y\"";
          color = "${theme.textRgb}";
          font_size = 25;
          font_family = "$font";
          position = "-30, -150";
          halign = "right";
          valign = "top";
        }
      ];
      # INPUT FIELD
      input-field = {
        size = "300, 60";
        outline_thickness = 4;
        dots_size = 0.2;
        dots_spacing = 0.2;
        dots_center = true;
        outer_color = lib.mkDefault "${theme.mauve}";
        inner_color = lib.mkDefault "${theme.surface0Rgb}";
        font_color = lib.mkDefault "${theme.textRgb}";
        fade_on_empty = false;
        placeholder_text = "<span foreground=\"##${theme.textAlpha}\"><i>󰌾 Logged in as </i><span foreground=\"##${theme.mauveAlpha}\">$USER</span></span>";
        hide_input = false;
        check_color = lib.mkDefault "${theme.mauve}";
        fail_color = lib.mkDefault "${theme.redRgb}";
        fail_text = "<i>$FAIL <b>($ATTEMPTS)</b></i>";
        capslock_color = lib.mkDefault "${theme.yellowRgb}";
        position = "0, -200"; # TODO change -200 to -20% at 25.05
        halign = "center";
        valign = "center";
      };
    };
  };
}
