{ pkgs, ... }:

{
  environment.systemPackages = with pkgs; [
    # IDEs
    jetbrains.rust-rover
    jetbrains.webstorm
    vscodium # TODO set up extensions
    zed-editor
    # Tools
    git
    rustup
    nodejs
    pnpm
    gcc # Required for C, Rust and others
    # Language servers
    nixd
    nil
    # Formatters
    nixfmt-rfc-style
    treefmt
    nodePackages.prettier
    shfmt
  ];

  virtualisation.docker = {
    enable = true;
    storageDriver = "btrfs";
    rootless = {
      enable = true;
      setSocketVariable = true;
    };
  };

  services.ollama = {
    enable = true;
    acceleration = "cuda";
  };
}
