{ pkgs, ... }:

{
  imports = [
    ./nautilus.nix
  ];

  environment.systemPackages = with pkgs; [
    adw-gtk3
    glib
    adwaita-icon-theme
    gnomeExtensions.appindicator
    # gnome-extension-manager
    loupe
    gnome-calculator
    gnome-disk-utility
  ];

  programs.dconf.enable = true; # Required for some gnome applications

  services = {
    gnome.gnome-keyring.enable = true;
    gvfs.enable = true; # Gnome Virtual File-system. Required for various things in nautilus
    udev.packages = with pkgs; [ gnome-settings-daemon ];
  };
}
