{ pkgs, ... }:
let
  theme = import ../theme.nix;
  flavor = theme.flavor;
in
{
  environment.systemPackages = with pkgs; [
    (catppuccin-sddm.override {
      flavor = flavor;
      font = "JetBrainsMono";
      fontSize = "9";
      background = "${../catppuccin_high.png}";
      loginBackground = true;
    })
  ];

  services.displayManager.sddm = {
    enable = true;
    theme = "catppuccin-${flavor}";
    autoNumlock = true; # Enable numlock at login # TODO doesn't work
    wayland.enable = true;
    package = pkgs.kdePackages.sddm;
  };
}
